
body {
    position: relative;
    min-height: 100vh;
    background: white;
    font-family: sans-serif;
    color:#100;
}

/*Cabecera*/

#cabecera{
	width: 80%;
	margin: 0 auto;
}

header{
	margin-top: 3em;
	margin-bottom: 3em;
	display: flex;
}


.logo{
	height: 120px;
	width: 400px;
}

.logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.navbar{
	 flex: auto;
	 display: inline-block;
	 align-self: flex-end;
     text-align: right;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    height: 100%;
}

li{
	display: inline;
	margin-left: 2em;
}

a{
    text-decoration:none; 
    color:#100;
    text-transform:initial;
}

li a{
    font-weight: bold;
}

/*Cuerpo*/

#container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20em, 1fr));
    grid-template-rows: repeat(auto-fit, minmax(20em, 1fr));
    grid-gap: 3em;
    width: 80%;
    margin: 0 auto;
    margin-top: 7em;
    margin-bottom: 7em;
}

.item{
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 1fr 7em;
}

.image{
    height: 30em;
}


.image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.image_admin{
    height: 15em;
    background: rgb(238, 238, 238);
}


.image_admin img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
  
img {
      display: block;
      position: relative;
}

.artwork_name {
    margin-top: 10px;
    font-weight: bold;
    font-size: 24px;
}

.artwork_price {
    margin-top: 10px;
    font-size: 18px;
}

#imagen img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#imagen{
    height: 35em;
}

.button {
    background-color: #100;
    color: white;
    padding: 15px 32px;
    text-decoration: none;
    border: none;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
}

.regresar{
    font-size: 16px;
    text-decoration: none;
    cursor: pointer;
    background: none;
    border: none;
}

#precio{
    font-size: 18px;
    font-weight: normal;
}

#nombre{
    margin-top: 0;
    font-size: 38px;
    font-weight: bold;
    text-transform: uppercase;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif
}

#administracion{
    display: grid;
    grid-template-columns: 15em auto;
    grid-template-rows: repeat(auto-fit, minmax(20em, 1fr));
    grid-gap: none;
    width: 80%;
    margin: 0 auto;
    margin-top: 7em;
    margin-bottom: 7em;
}

#opcion{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(10em, 1fr));
    grid-template-rows: repeat(auto-fit, minmax(10em, 1fr));
    grid-gap: 2em;
    width: 80%;
    margin: 0 auto;
    margin-top: 0em;
    margin-bottom: 0em;
}

#agregar{
    background: rgb(238, 238, 238);
    height: 15em;
}

.icon{
    width: 3em;
    height: 3em;
    margin: 0 auto;
    padding-top: 6em;
}

.menu-item, #delete-title{
    font-size: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 5px;
}

.selected{
    font-weight: bold;
    border-left: 5px solid #100;
}

/*modal*/
.flex{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal{
    display: none;
    position: fixed;
    z-index: 1;
    overflow: auto;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background: rgba(10, 10, 10, 0.404);
}

.contenido-modal{
    position: relative;
    background-color: white;
    margin: auto;
    width: 45%;
    height: 55%;
    box-shadow: 0 0 6px 0 rgba(0, 0, 0, 0.4);
    animation-name: modal;
    animation-duration: 300ms;
    border-radius: 20px;
    padding: 40px;
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: repeat(auto-fit, minmax(20em, 1fr));
    grid-gap: 2em;
}

.modal-eliminar{
    display: none;
    position: fixed;
    z-index: 1;
    overflow: auto;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background: rgba(10, 10, 10, 0.404);
}

.contenido-modal-eliminar{
    position: relative;
    background-color: white;
    margin: auto;
    width: 40%;
    height: 10em;
    box-shadow: 0 0 6px 0 rgba(0, 0, 0, 0.4);
    animation-name: modal;
    animation-duration: 300ms;
    border-radius: 20px;
    padding: 1em 2em 1em 2em;
}

@keyframes modal{
    from{top:-30px; opacity: 0;}
    to{top:0px; opacity: 1;}
}

.close{
    color: white;
    font-size: 50px;
    font-weight: bold;
    position: absolute;
    right: 20px;
    top: 10px;
}

.close:hover{
    color: #100;
    text-decoration: none;
    cursor: pointer;
}

#inp-name{
    font-size: 22px;
    font-weight: bold;
    border-radius: 20px;
    width: 85%;
    border-style: solid;
    border-color: rgb(211, 211, 211);
    padding-left: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-bottom: 10px;
    outline: none;
    text-transform:initial;
}

.image-upload > input
{
    display: none;
}

#inp-price{
    font-size: 18px;
    border-radius: 20px;
    width: 6em;
    border-style: solid;
    border-width: 2px;
    border-color: rgb(211, 211, 211);
    padding-left: 10px;
    margin-bottom: 10px;
    outline: none;
    display: block;
    cursor: text;
}

#inp-price input{
    font-size: 18px;
    width: 4.4em;
    border-style: none;
    padding-top: 5px;
    padding-bottom: 5px;
    outline: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
}

#inp-des{
    border-radius: 20px;
    width: 81%;
    border-style: solid;
    border-width: 2px;
    border-color: rgb(211, 211, 211);
    padding: 10px;
    margin-bottom: 10px;
    height: 1fr;
    outline: none;
    padding-bottom:10em;
    font-family: sans-serif;
    font-size: 16px;
    text-transform:initial;
}

#inp-del{
    padding: 10px 22px;
    background: rgb(214, 214, 214);
    color: rgb(66, 66, 66);
    width: 40%;
}

#inp-submit{
    padding: 10px 22px;
    width: 45%;
}

#inp-delete{
    padding: 10px 22px;
    background: rgb(214, 214, 214);
    color: rgb(66, 66, 66);
    width: 8em;
}

#inp-cancel{
    padding: 10px 22px;
    width: 10em;
}

form{
    height: 100%;
}

.image-edit img{
    width: 100%;
    height: 100%;
    object-fit: cover;

    opacity: 1;
  display: block;
  transition: .5s ease;
  backface-visibility: hidden;
}

.image-edit{
    position: relative;
    width: 100%;
    height: 100%;
    background: rgb(238, 238, 238);
}

.middle {
    transition: .5s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
  }

  .image-edit:hover img {
    opacity: 0.3;
    cursor: pointer;
  }
  
  .image-edit:hover .middle {
    opacity: 1;
    cursor: pointer;
  }

  #btn-img {
      height: 30px;
      width: 30px;
  }

  #btn-img{
    width: 3em;
    height: 3em;
    opacity: 1;
  }

  pre {
    white-space: pre-wrap; 
    font-family: sans-serif;
}

#vendido{
    position: relative;
    right: 0em;
    top: -29em;
}

#vendido div{
    float:right;
    background: #100;
    color: white;
    padding: 5px;
}

#blank{
    color: white;
}

#inline{
    display: flex;
    align-items: center;
}

div[data-existencias='1']{
    display: none;
}

#floating-button {
    position: fixed;
    right: 1em;
    top: 1em;
    border-radius: 3em;
    background: #100;
    display: none;
    width: 15em;
    height: 3em;
    cursor: pointer;
    align-items: center;
    color: white;
    z-index: 1;
    box-shadow: 1px 1px 1px 1px rgb(0, 0, 0);
}

#floating-button div{
    padding-left: 1em; 
    display: inline-flex;
}

#floating-button #carrito-total{
    display: inline-block;
    padding: 1em;
    width: 8em;
    text-align: right;
    font-weight: bold;
}

label {
    cursor: pointer;
}

#tabla{
    width: 100%;
}

.izq{
    text-align: left;
}

.der{
    text-align: right;
}

td {
    border-top: 1px solid rgb(226, 226, 226);
}

.x{
    width: 4em;
}

.img-carrito{
    display: flex;
    align-items: center;
}

.img-carrito div{
    display: inline-flex;
}

.img-carrito img{
    display: inline-flex;
    width: 5em;
    height: 5em;
    object-fit: cover;
    display: inline-block;
    margin-right: 2em;
}

.frm-vnt{
    border-radius: 20px;
    border-style: solid;
    border-width: 2px;
    border-color: rgb(226, 226, 226);
    padding-left: 2em;
    padding-bottom: 1em;
    background: rgb(226, 226, 226);
}



.inp{
    font-size: 16px;
    border-radius: 20px;
    width: 90%;
    border-style: solid;
    border-color: white;
    padding-left: 10px;
    padding-top: 8px;
    padding-bottom: 8px;
    margin-bottom: 1em;
    outline: none;
    text-transform:initial;
}

.inp-2{
    width: 42%;
    margin-right: 10px;
}

.inp-3{
    width: 26%;
    margin-right: 10px;
}

#paypal{
    width: 100px;
    height: 40px;
    display: inline-flex;
    margin-left: 10px;
}

#metodo{
    display: flex;
    align-items: center;
    margin-bottom: 6em;
}